using FishFactoryContracts.BindingModels;
using FishFactoryContracts.SearchModels;
using FishFactoryContracts.ViewModels;

namespace FishFactoryContracts.StoragesContracts
{
    public interface ICannedStorage
    {
        List<CannedViewModel> GetFullList();
        List<CannedViewModel> GetFilteredList(CannedSearchModel model);
        CannedViewModel? GetElement(CannedSearchModel model);
        CannedViewModel? Insert(CannedBindingModel model);
        CannedViewModel? Update(CannedBindingModel model);
        CannedViewModel? Delete(CannedBindingModel model);
    }
}
